Creates an external registry with the specified parameters.Ask AIpost https://api.replicated.com/vendor/v3/external_registryRequired RBAC Policy: kots/externalregistry/createBody ParamsExternalRegistry create parameters.appIdsarray of stringsAppIds is a list of app IDs that can access this registry. If null or empty, registry is shared across all apps. (optional)appIdsADD stringauthTypestringAuth type for the upstream registry (optional)copyPasswordbooleanCopyPassword flag to indicate if password should be copied from original registry (optional)truefalseendpointstringrequiredEndpoint of the upstream registry.originalSlugstringOriginalSlug is used when duplicating a registry to copy passwords if they're unchanged (optional)passwordstringrequiredPassword for authentication with the upstream registry.providerstringProvider of the upstream registry. (optional)skipValidationbooleanSkipValidation just saves the values without checking if the registry is valid.truefalseslugstringSlug (registry name) for the upstream registry. If not provided, the endpoint will be used as the slug. (optional)usernamestringrequiredUsername for authentication with the upstream registry.Responses 201CreateExternalRegistryResponse represents an external registry. 400Returned on bad input 401Return if the caller is not authorized 403Returned if the caller does not have the needed permissionUpdated 7 months ago